### Virtual Method

# Camel Session forget_password

#### Declaration [src]

    gboolean
    forget_password (
      CamelSession* session,
      CamelService* service,
      const gchar* item,
      GError** error
    )

#### Description [src]

This function is used by a `CamelService` to tell the application that the authentication information it provided via `camel_session_get_password()` was rejected by the service. If the application was caching this information, it should stop, and if the service asks for it again, it should ask the user.

`service` and `item` identify the rejected authentication information, as with camel_session_get_password().

#### Parameters

`service`

  Type: `CamelService`

  The `CamelService` rejecting the password.

  The data is owned by the caller of the method.

`item`

  Type: `const gchar*`

  An identifier, unique within this service, for the information.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.